<html>
<head>
<title>Ogre::TerrainMaterialGenerator::Profile Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Profile</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainMaterialGenerator::Profile Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainMaterialGenerator::Profile" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Inner class which should also be subclassed to provide profile-specific material generation.  
 <a href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::TerrainMaterialGenerator::Profile:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1TerrainMaterialGenerator_1_1Profile__inherit__graph.gif" border="0" usemap="#Ogre_1_1TerrainMaterialGenerator_1_1Profile_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1TerrainMaterialGenerator_1_1Profile_inherit__map" id="Ogre_1_1TerrainMaterialGenerator_1_1Profile_inherit__map">
<area shape="rect" id="node5" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html" title="Shader model 2 profile target." alt="" coords="5,160,288,189"/><area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="101,5,192,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1TerrainMaterialGenerator_1_1Profile-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aed78c492593089c072d6adf0d241fd10">Profile</a> (<a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a> *parent, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;desc)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a8b8528902ca05c44ce41a4a4802f0769">Profile</a> (const <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Profile</a> &amp;prof)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a0f8e8543ce925703ccc57298a9b59ffa">~Profile</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aeaae7ac474e9755ab4f49a989bdcbfa6">getParent</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the generator which owns this profile.  <a href="#aeaae7ac474e9755ab4f49a989bdcbfa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ac775f704382e9dea4a7f0a49b1d6dab9">getName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this profile.  <a href="#ac775f704382e9dea4a7f0a49b1d6dab9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ad89f2285a2c59643d0127bc9801d8ecb">getDescription</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the description of this profile.  <a href="#ad89f2285a2c59643d0127bc9801d8ecb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ac003ed37b877d3362bbaa39661865716">isVertexCompressionSupported</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compressed vertex format supported?  <a href="#ac003ed37b877d3362bbaa39661865716"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a0c47702015bcc5ad4a4920d02a67da2b">generate</a> (const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *terrain)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate / resuse a material for the terrain.  <a href="#a0c47702015bcc5ad4a4920d02a67da2b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a70a4e9bf4482762227e48c061759c1d2">generateForCompositeMap</a> (const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *terrain)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate / resuse a material for the terrain.  <a href="#a70a4e9bf4482762227e48c061759c1d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a4ab7d26991576153fe480c316ccfef86">getMaxLayers</a> (const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *terrain) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of layers supported.  <a href="#a4ab7d26991576153fe480c316ccfef86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a9bb28eb51fc5229209a72564315d3eb1">updateCompositeMap</a> (const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *terrain, const <a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> &amp;rect)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the composite map for a terrain.  <a href="#a9bb28eb51fc5229209a72564315d3eb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a8efea3f1c4506d600d96995ba0d61164">updateParams</a> (const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat, const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *terrain)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update params for a terrain.  <a href="#a8efea3f1c4506d600d96995ba0d61164"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#abcb1087d4d2f5b60ba99a22a86dde5f4">updateParamsForCompositeMap</a> (const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat, const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *terrain)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update params for a terrain.  <a href="#abcb1087d4d2f5b60ba99a22a86dde5f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ad4cbd3a430cdf5ce892ab63ef8ad270b">requestOptions</a> (<a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *terrain)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Request the options needed from the terrain.  <a href="#ad4cbd3a430cdf5ce892ab63ef8ad270b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a869235f68fd7821067b41f3946e0f5ef">mParent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#acd101ecd87f04e8d313834f8da1aee4e">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#af9df01eba06dc39bf4f943e80ed2f197">mDesc</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Inner class which should also be subclassed to provide profile-specific material generation. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00161">161</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aed78c492593089c072d6adf0d241fd10"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::Profile" ref="aed78c492593089c072d6adf0d241fd10" args="(TerrainMaterialGenerator *parent, const String &amp;name, const String &amp;desc)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aed78c492593089c072d6adf0d241fd10">Ogre::TerrainMaterialGenerator::Profile::Profile</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>desc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00168">168</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8b8528902ca05c44ce41a4a4802f0769"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::Profile" ref="a8b8528902ca05c44ce41a4a4802f0769" args="(const Profile &amp;prof)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aed78c492593089c072d6adf0d241fd10">Ogre::TerrainMaterialGenerator::Profile::Profile</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html">Profile</a> &amp;&#160;</td>
          <td class="paramname"><em>prof</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00170">170</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0f8e8543ce925703ccc57298a9b59ffa"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::~Profile" ref="a0f8e8543ce925703ccc57298a9b59ffa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a0f8e8543ce925703ccc57298a9b59ffa">Ogre::TerrainMaterialGenerator::Profile::~Profile</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00172">172</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a0c47702015bcc5ad4a4920d02a67da2b"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::generate" ref="a0c47702015bcc5ad4a4920d02a67da2b" args="(const Terrain *terrain)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a0c47702015bcc5ad4a4920d02a67da2b">Ogre::TerrainMaterialGenerator::Profile::generate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>terrain</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generate / resuse a material for the terrain. </p>

<p>Implemented in <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#aba3b26e555ef8fbaade9546e508c647e">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00287">Ogre::TerrainMaterialGenerator::generate()</a>.</p>

</div>
</div>
<a class="anchor" id="a70a4e9bf4482762227e48c061759c1d2"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::generateForCompositeMap" ref="a70a4e9bf4482762227e48c061759c1d2" args="(const Terrain *terrain)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a70a4e9bf4482762227e48c061759c1d2">Ogre::TerrainMaterialGenerator::Profile::generateForCompositeMap</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>terrain</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generate / resuse a material for the terrain. </p>

<p>Implemented in <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a12756eace5839670dc84766aa799abd1">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00297">Ogre::TerrainMaterialGenerator::generateForCompositeMap()</a>.</p>

</div>
</div>
<a class="anchor" id="ad89f2285a2c59643d0127bc9801d8ecb"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::getDescription" ref="ad89f2285a2c59643d0127bc9801d8ecb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ad89f2285a2c59643d0127bc9801d8ecb">Ogre::TerrainMaterialGenerator::Profile::getDescription</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the description of this profile. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00178">178</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4ab7d26991576153fe480c316ccfef86"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::getMaxLayers" ref="a4ab7d26991576153fe480c316ccfef86" args="(const Terrain *terrain) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a4ab7d26991576153fe480c316ccfef86">Ogre::TerrainMaterialGenerator::Profile::getMaxLayers</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>terrain</em></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of layers supported. </p>

<p>Implemented in <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a238c45cd665b18bd701b829a2c8abf76">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00308">Ogre::TerrainMaterialGenerator::getMaxLayers()</a>.</p>

</div>
</div>
<a class="anchor" id="ac775f704382e9dea4a7f0a49b1d6dab9"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::getName" ref="ac775f704382e9dea4a7f0a49b1d6dab9" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ac775f704382e9dea4a7f0a49b1d6dab9">Ogre::TerrainMaterialGenerator::Profile::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this profile. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00176">176</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeaae7ac474e9755ab4f49a989bdcbfa6"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::getParent" ref="aeaae7ac474e9755ab4f49a989bdcbfa6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a>* <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#aeaae7ac474e9755ab4f49a989bdcbfa6">Ogre::TerrainMaterialGenerator::Profile::getParent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the generator which owns this profile. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00174">174</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac003ed37b877d3362bbaa39661865716"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::isVertexCompressionSupported" ref="ac003ed37b877d3362bbaa39661865716" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ac003ed37b877d3362bbaa39661865716">Ogre::TerrainMaterialGenerator::Profile::isVertexCompressionSupported</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compressed vertex format supported? </p>

<p>Implemented in <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a7c18d9782fe05c211265019241420241">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad4cbd3a430cdf5ce892ab63ef8ad270b"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::requestOptions" ref="ad4cbd3a430cdf5ce892ab63ef8ad270b" args="(Terrain *terrain)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#ad4cbd3a430cdf5ce892ab63ef8ad270b">Ogre::TerrainMaterialGenerator::Profile::requestOptions</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>terrain</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Request the options needed from the terrain. </p>

<p>Implemented in <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#afca5a13d139293248c27c5e586be228c">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00278">Ogre::TerrainMaterialGenerator::requestOptions()</a>.</p>

</div>
</div>
<a class="anchor" id="a9bb28eb51fc5229209a72564315d3eb1"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::updateCompositeMap" ref="a9bb28eb51fc5229209a72564315d3eb1" args="(const Terrain *terrain, const Rect &amp;rect)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a9bb28eb51fc5229209a72564315d3eb1">Ogre::TerrainMaterialGenerator::Profile::updateCompositeMap</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>terrain</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gae714035a753a8f484650598dc4143db8">Rect</a> &amp;&#160;</td>
          <td class="paramname"><em>rect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update the composite map for a terrain. </p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00323">Ogre::TerrainMaterialGenerator::updateCompositeMap()</a>.</p>

</div>
</div>
<a class="anchor" id="a8efea3f1c4506d600d96995ba0d61164"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::updateParams" ref="a8efea3f1c4506d600d96995ba0d61164" args="(const MaterialPtr &amp;mat, const Terrain *terrain)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a8efea3f1c4506d600d96995ba0d61164">Ogre::TerrainMaterialGenerator::Profile::updateParams</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>mat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>terrain</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update params for a terrain. </p>

<p>Implemented in <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a6e7d0b079cef03335718ec90d96828c8">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00335">Ogre::TerrainMaterialGenerator::updateParams()</a>.</p>

</div>
</div>
<a class="anchor" id="abcb1087d4d2f5b60ba99a22a86dde5f4"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::updateParamsForCompositeMap" ref="abcb1087d4d2f5b60ba99a22a86dde5f4" args="(const MaterialPtr &amp;mat, const Terrain *terrain)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#abcb1087d4d2f5b60ba99a22a86dde5f4">Ogre::TerrainMaterialGenerator::Profile::updateParamsForCompositeMap</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>mat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Terrain.html">Terrain</a> *&#160;</td>
          <td class="paramname"><em>terrain</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update params for a terrain. </p>

<p>Implemented in <a class="el" href="classOgre_1_1TerrainMaterialGeneratorA_1_1SM2Profile.html#a003757f0377d6fa5f5e4028ac0ad8a91">Ogre::TerrainMaterialGeneratorA::SM2Profile</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00343">Ogre::TerrainMaterialGenerator::updateParamsForCompositeMap()</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af9df01eba06dc39bf4f943e80ed2f197"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::mDesc" ref="af9df01eba06dc39bf4f943e80ed2f197" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#af9df01eba06dc39bf4f943e80ed2f197">Ogre::TerrainMaterialGenerator::Profile::mDesc</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00166">166</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd101ecd87f04e8d313834f8da1aee4e"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::mName" ref="acd101ecd87f04e8d313834f8da1aee4e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#acd101ecd87f04e8d313834f8da1aee4e">Ogre::TerrainMaterialGenerator::Profile::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00165">165</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a869235f68fd7821067b41f3946e0f5ef"></a><!-- doxytag: member="Ogre::TerrainMaterialGenerator::Profile::mParent" ref="a869235f68fd7821067b41f3946e0f5ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TerrainMaterialGenerator.html">TerrainMaterialGenerator</a>* <a class="el" href="classOgre_1_1TerrainMaterialGenerator_1_1Profile.html#a869235f68fd7821067b41f3946e0f5ef">Ogre::TerrainMaterialGenerator::Profile::mParent</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00164">164</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
